import { CommuneClient } from 'commune-ai';
const commune = new CommuneClient({ apiKey: process.env.COMMUNE_API_KEY });
const result = await commune.inboxes.list();
for (const inbox of result.data) {
console.log(inbox.address); // support@mycompany.com
}
from commune import CommuneClient
client = CommuneClient()
result = client.inboxes.list()
for inbox in result.data:
print(inbox.address)
list_inboxes()
curl "https://api.commune.email/v1/inboxes" \
-H "Authorization: Bearer comm_..."
commune inboxes list
{
"data": [
{
"id": "3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8",
"localPart": "support",
"address": "support@mycompany.com",
"displayName": "Support Agent",
"agent": {
"name": "Support Agent"
},
"status": "active",
"createdAt": "2026-02-25T10:00:00.000Z",
"domain_id": "domain_xyz789",
"domain_name": "mycompany.com"
},
{
"id": "7e8f9a0b-1c2d-3e4f-b5c6-d7e8f9a0b1c2",
"localPart": "sales",
"address": "sales@mycompany.com",
"displayName": "Sales Agent",
"agent": {
"name": "Sales Agent"
},
"status": "active",
"createdAt": "2026-02-24T09:00:00.000Z",
"domain_id": "domain_xyz789",
"domain_name": "mycompany.com"
}
]
}
{
"error": "unauthorized",
"message": "Invalid or missing API key"
}
Inboxes
List inboxes
List all inboxes for the authenticated organization, across all domains.
GET
/
v1
/
inboxes
import { CommuneClient } from 'commune-ai';
const commune = new CommuneClient({ apiKey: process.env.COMMUNE_API_KEY });
const result = await commune.inboxes.list();
for (const inbox of result.data) {
console.log(inbox.address); // support@mycompany.com
}
from commune import CommuneClient
client = CommuneClient()
result = client.inboxes.list()
for inbox in result.data:
print(inbox.address)
list_inboxes()
curl "https://api.commune.email/v1/inboxes" \
-H "Authorization: Bearer comm_..."
commune inboxes list
{
"data": [
{
"id": "3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8",
"localPart": "support",
"address": "support@mycompany.com",
"displayName": "Support Agent",
"agent": {
"name": "Support Agent"
},
"status": "active",
"createdAt": "2026-02-25T10:00:00.000Z",
"domain_id": "domain_xyz789",
"domain_name": "mycompany.com"
},
{
"id": "7e8f9a0b-1c2d-3e4f-b5c6-d7e8f9a0b1c2",
"localPart": "sales",
"address": "sales@mycompany.com",
"displayName": "Sales Agent",
"agent": {
"name": "Sales Agent"
},
"status": "active",
"createdAt": "2026-02-24T09:00:00.000Z",
"domain_id": "domain_xyz789",
"domain_name": "mycompany.com"
}
]
}
{
"error": "unauthorized",
"message": "Invalid or missing API key"
}
import { CommuneClient } from 'commune-ai';
const commune = new CommuneClient({ apiKey: process.env.COMMUNE_API_KEY });
const result = await commune.inboxes.list();
for (const inbox of result.data) {
console.log(inbox.address); // support@mycompany.com
}
from commune import CommuneClient
client = CommuneClient()
result = client.inboxes.list()
for inbox in result.data:
print(inbox.address)
list_inboxes()
curl "https://api.commune.email/v1/inboxes" \
-H "Authorization: Bearer comm_..."
commune inboxes list
{
"data": [
{
"id": "3d4f5a6b-7c8d-9e0f-a1b2-c3d4e5f6a7b8",
"localPart": "support",
"address": "support@mycompany.com",
"displayName": "Support Agent",
"agent": {
"name": "Support Agent"
},
"status": "active",
"createdAt": "2026-02-25T10:00:00.000Z",
"domain_id": "domain_xyz789",
"domain_name": "mycompany.com"
},
{
"id": "7e8f9a0b-1c2d-3e4f-b5c6-d7e8f9a0b1c2",
"localPart": "sales",
"address": "sales@mycompany.com",
"displayName": "Sales Agent",
"agent": {
"name": "Sales Agent"
},
"status": "active",
"createdAt": "2026-02-24T09:00:00.000Z",
"domain_id": "domain_xyz789",
"domain_name": "mycompany.com"
}
]
}
{
"error": "unauthorized",
"message": "Invalid or missing API key"
}
Response
object[]
Array of inbox objects for your organization. Includes inboxes from all custom domains and the shared Commune domain.
Hide Inbox object properties
Hide Inbox object properties
string
Unique inbox identifier (UUID).
string
The local part of the inbox address (before
@).string
Full email address of the inbox.
string
Display name shown in outbound
From headers.object
object
object
Structured extraction configuration, if set. See Set extraction schema for details.
Structured extraction requires the Business plan or higher.
object
string
Inbox status. Typically
"active".string
ISO 8601 creation timestamp.
string
ID of the domain this inbox belongs to.
string
Domain name (e.g.
mycompany.com).Last modified on March 19, 2026
Was this page helpful?

